function EVW=calculateEVWindow(ARG,windowSize,windowStep)
% Функція для роботи - обрахування власних значень матриці по вікнам шириною
% windowSize та кроком windowStep (без врахування діагональних значень)

% Матриця повинна бути - фірми по рядкам
[m,n]=size(ARG);

% кількість точок
count=n-windowSize+1;
count=fix(count/windowStep)+1;
EVW=zeros(m,count);
S=zeros(m,windowSize);
i=1;
index=1;
addToProgress(0,1,count+2);
% безпосередньо обрахування по вікнам та запис у вектор
while i+windowSize-1<n
    S=ARG(:,i:i+windowSize-1);
    C=buildC(S);
    [V,D]=jacobiHandle(C,0.001);
    D=sortRowsByFirstCol(D);
    D=D(:,1);
    i=i+windowStep;
    EVW(:,index)=D;
    index=index+1;
    addToProgress(index);
end
addToProgress(count+2);
EVW=EVW(:,1:index-1);